#pragma once
#include "DrawableEntity.h"

class AnimatedSprite : public DrawableEntity {
private:
    int frames = 1;
    int fps = 1;

    int currentFrame = 1;
    float frameTimer = 0.f;
public:
    AnimatedSprite(const float x, const float y, const std::string& texturePath, const int _frames = 1, const int _fps = 1);

    void render(sf::RenderWindow& window);

    void update(const float deltaTime);
};
